let
  netboxAgent = {
    id = "244549";
    hash = "sha256-SePkKEYQGDj6FpuyxZ+1ASeVPA02mCHf0G5i3koMdNw=";
  };
in

{
  "nixos-24.05" = [
    # netbox qrcode plugin
    {
      _type = "commit";
      sha = "ae4bf4c110378ebacb3989c9533726859cfebbfa";
      hash = "sha256-SgHhW9HCkDQsxT3eG4P9q68c43e3sbDHRY9qs7oSt8o=";
    }

    netboxAgent

    {
      id = "275165";
      hash = "sha256-9a26V3Pi8yLD3N9+mC1kvJoruxRTp/qOHapnt6VX7pw=";
    }

    # karla: init at 2.004
    {
      _type = "commit";
      sha = "7c51104112e8ea0e2ac53bf7d535e677f7686a9e";
      hash = "sha256-1TBLzZkvkFhCL8RYVVIUhTyrH3+X1iJIMkyHffmrOWc=";
    }

    # Crabfit: don't depend on all google-fonts
    {
      _type = "static";
      path = ./04-crabfit-karla.patch;
    }
  ];

  "nixos-unstable" = [
    netboxAgent

    # netbox qrcode plugin
    {
      _type = "commit";
      sha = "ae4bf4c110378ebacb3989c9533726859cfebbfa";
      hash = "sha256-SgHhW9HCkDQsxT3eG4P9q68c43e3sbDHRY9qs7oSt8o=";
    }
  ];

  "proxmox-nixos" = [
    {
      _type = "static";
      path = ./05-pmnos-correctness-build-directory.patch;
    }
  ];
}
